import type { FetchError } from './FetchError.js';
import type { ValidationError } from './validatedFetch.js';
export declare const cancelFOTAJob: ({ apiKey, endpoint, }: {
    apiKey: string;
    endpoint: URL;
}, fetchImplementation?: typeof fetch) => (jobId: string) => Promise<{
    error: FetchError | ValidationError;
} | {
    success: true;
}>;
